> For the complete documentation index, see [llms.txt](https://docs-cn.multimarkets.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs-cn.multimarkets.org/manager-api/geng-duo-.../zi-jin-fu-wu-xiang-guan.md).

# 资金服务相关

## 现货发放/扣回赠金

> version=0.0.1\
> bizType=fund.admin.CustomerActivityBonusAdminDubboService.operationBonus\
> \
> \*\*accountId 变成非必填

```json
{"openapi":"3.0.1","info":{"title":"默认模块","version":"1.0.0"},"tags":[{"name":"资金服务相关"}],"servers":[{"url":"https://pre-api-test.cmfbl.com/openapi-b","description":"PRE环境-公司439"}],"security":[],"paths":{"/fund.admin.CustomerActivityBonusAdminDubboService.operationBonus":{"post":{"summary":"现货发放/扣回赠金","deprecated":false,"description":"version=0.0.1\nbizType=fund.admin.CustomerActivityBonusAdminDubboService.operationBonus\n\n**accountId 变成非必填","tags":["资金服务相关"],"parameters":[{"name":"trace","in":"header","description":"全局链路唯一标志","required":true,"schema":{"type":"string"}},{"name":"companyId","in":"header","description":"公司ID","required":true,"schema":{"type":"string"}},{"name":"token","in":"header","description":"鉴权token","required":true,"schema":{"type":"string"}},{"name":"version","in":"header","description":"接口版本号","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"customerNo":{"type":"string","description":"客户编号"},"tradeType":{"type":"integer","description":"玩法类型；目前只支持现货玩法"},"accountId":{"type":"string","description":"帐户ID"},"companyId":{"type":"string","description":"公司id"},"activityId":{"type":"string","description":"活动记录ID"},"currencyBonus":{"type":"string","description":"赠金币种"},"bonus":{"type":"number","description":"赠金金额"},"activityCustomerNo":{"type":"string","description":"活动帐户"},"type":{"type":"integer","description":"类型，1.发放，2.扣回"}},"required":["customerNo","companyId","activityId","activityCustomerNo","bonus","currencyBonus","type","tradeType"]}}}},"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"bizCode":{"type":"string","title":"模块标识码","description":"模块标识码"},"code":{"type":"string","title":"状态返回码","description":"状态返回码"},"msg":{"type":"string","title":"状态描述","description":"状态描述"},"tm":{"type":"string","title":"处理时长（毫秒）","description":"处理时长（毫秒）"},"trace":{"type":"string","title":"跟踪码","description":"跟踪码"},"msgParams":{"type":"string","title":"返回描述中占位符参数串，多个参数间以,分割","description":"返回描述中占位符参数串，多个参数间以,分割"},"data":{"type":"object","properties":{"result":{"type":"boolean","title":"处理结果","description":"处理结果"},"actionAmount":{"type":"string","title":"实际扣款的金额","description":"实际扣款的金额"}},"title":"数据体","description":"数据体","required":["result","actionAmount"]}},"required":["bizCode","code","tm"]}}},"headers":{}}}}}}}
```

## 批量获取充值提现汇率

> version=0.0.1\
> bizType=fund.admin.CustomerFundAdminDubboService.getExchangeRate

```json
{"openapi":"3.0.1","info":{"title":"默认模块","version":"1.0.0"},"tags":[{"name":"资金服务相关"}],"servers":[{"url":"https://pre-api-test.cmfbl.com/openapi-b","description":"PRE环境-公司439"}],"security":[],"paths":{"/fund.admin.CustomerFundAdminDubboService.getExchangeRate":{"post":{"summary":"批量获取充值提现汇率","deprecated":false,"description":"version=0.0.1\nbizType=fund.admin.CustomerFundAdminDubboService.getExchangeRate","tags":["资金服务相关"],"parameters":[{"name":"trace","in":"header","description":"全局链路唯一标志","required":true,"schema":{"type":"string"}},{"name":"companyId","in":"header","description":"公司ID","required":true,"schema":{"type":"string"}},{"name":"token","in":"header","description":"B端鉴权后token","required":true,"schema":{"type":"string"}},{"name":"version","in":"header","description":"接口版本号","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"companyId":{"type":"string","description":"公司ID"},"currencyMap":{"type":"object","properties":{"BTC":{"type":"string"},"BNB":{"type":"string"}},"description":"key:来源货币 value:兑换货币","required":["BTC","BNB"]},"type":{"type":"integer","description":"类型：1.充值 2.提现"}},"required":["currencyMap"]}}}},"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"bizCode":{"type":"string","title":"模块标识码","description":"模块标识码"},"code":{"type":"string","title":"状态返回码","description":"状态返回码"},"msg":{"type":"string","title":"状态描述","description":"状态描述"},"tm":{"type":"string","title":"处理时长（毫秒）","description":"处理时长（毫秒）"},"trace":{"type":"string","title":"跟踪码","description":"跟踪码"},"msgParams":{"type":"string","title":"返回描述中占位符参数串，多个参数间以,分割","description":"返回描述中占位符参数串，多个参数间以,分割"},"data":{"type":"array","items":{"$ref":"#/components/schemas/ExchangeRateConvertDto"},"title":"数据体","description":"数据体"}},"required":["bizCode","code","tm"]}}},"headers":{}}}}}},"components":{"schemas":{"ExchangeRateConvertDto":{"type":"object","properties":{"rate":{"type":"string","description":"兑换比率"},"formulaSymbol":{"type":"string","description":"运算规则乘或除,取值为multiply或divide"},"sourceDigits":{"type":"integer","format":"int32","description":"源货币小数位"},"targetDigits":{"type":"integer","format":"int32","description":"目标货币小数位"},"sourceCurrency":{"type":"string","description":"源货币编码"},"targetCurrency":{"type":"string","description":"目标货币编码"}}}}}}
```

## POST /fund.admin.CustomerAdjustProposalAdminDubboService.getCustomerAdjustProposalById

> 根据提案编号查询额度调整详情

```json
{"openapi":"3.0.1","info":{"title":"默认模块","version":"1.0.0"},"tags":[{"name":"资金服务相关"}],"servers":[{"url":"https://pre-api-test.cmfbl.com/openapi-b","description":"PRE环境-公司439"}],"security":[],"paths":{"/fund.admin.CustomerAdjustProposalAdminDubboService.getCustomerAdjustProposalById":{"post":{"summary":"根据提案编号查询额度调整详情","deprecated":false,"description":"","tags":["资金服务相关"],"parameters":[{"name":"trace","in":"header","description":"全局链路唯一标志","required":true,"schema":{"type":"string"}},{"name":"companyId","in":"header","description":"公司ID","required":true,"schema":{"type":"string"}},{"name":"token","in":"header","description":"B端鉴权后token","required":true,"schema":{"type":"string"}},{"name":"version","in":"header","description":"接口版本号","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"proposalNo":{"type":"string","description":"额度调整提案编号"},"companyId":{"type":"string","description":"公司id"}},"required":["proposalNo","companyId"]}}}},"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"bizCode":{"type":"string","title":"模块标识码","description":"模块标识码"},"code":{"type":"string","title":"状态返回码","description":"状态返回码"},"msg":{"type":"string","title":"状态描述","description":"状态描述"},"tm":{"type":"string","title":"处理时长（毫秒）","description":"处理时长（毫秒）"},"trace":{"type":"string","title":"跟踪码","description":"跟踪码"},"msgParams":{"type":"string","title":"返回描述中占位符参数串，多个参数间以,分割","description":"返回描述中占位符参数串，多个参数间以,分割"},"data":{"title":"数据体","description":"数据体","$ref":"#/components/schemas/CustomerAdjustProposalDto"}},"required":["bizCode","code","tm"]}}},"headers":{}}}}}},"components":{"schemas":{"CustomerAdjustProposalDto":{"type":"object","required":["tradeType"],"properties":{"companyId":{"type":"integer","format":"int64","description":"公司ID"},"customerId":{"type":"integer","format":"int64","description":"客户ID"},"customerNo":{"type":"string","description":"客户编号"},"accountId":{"type":"integer","format":"int64","description":"账户ID"},"id":{"type":"integer","format":"int64","description":"主键id"},"status":{"type":"integer","format":"int32","description":"状态 1、2、3、启用、禁用、删除"},"createBy":{"type":"string","description":"创建人"},"createTime":{"type":"integer","format":"int64","description":"创建时间"},"updateBy":{"type":"string","description":"更新人"},"updateTime":{"type":"integer","format":"int64","description":"更新时间"},"tradeType":{"type":"integer","format":"int64"},"proposalNo":{"type":"string","description":"提案号"},"businessType":{"type":"integer","format":"int32","description":"业务类型编码"},"accountCurrency":{"type":"string","description":"账户货币(交易账号货币)"},"amount":{"type":"number","description":"提案金额"},"withdraw":{"type":"boolean","description":"是否可提取"},"operatorPassword":{"type":"string","description":"操作员的资金密码"},"checkBy":{"type":"string","description":"审批人"},"checkStatus":{"type":"integer","format":"int32","description":"提案状态,等待人工审批:1、审批成功:2、审批失败:3"},"remark":{"type":"string","description":"备注"},"thirdOrderId":{"type":"string","description":"三方订单ID"},"resetAccount":{"type":"boolean","description":"是否清零"},"businessTypeText":{"type":"string"},"thirdAccount":{"type":"string","description":"三方账号"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs-cn.multimarkets.org/manager-api/geng-duo-.../zi-jin-fu-wu-xiang-guan.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
